from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    # auth
    SECRET_KEY: str = "my_secret_key"
    ALGORITHM: str = "HS256"
    ACCESS_TOKEN_EXPIRE_MINUTES: int = 30
    # ldap
    LDAP_URL: str
    LDAP_USER_DN: str
    LDAP_BASE_DN: str
    # database
    DATABASE_URL: str = "sqlite:///./dev.db"

    class Config:
        env_file = ".env"


settings = Settings()
